/* Change only the part after the decimal when making local changes.
 * This is pretty complex because I compile for a bunch who want custom
 * versions.  Since UNIX and UNIX are mutually exclusive, do a search and
 * replace UNIX with UNIX to satisfy that compiler.
 */
#include "options.h"
#include "config.h"

/* pattern:                          longest line is 55
|..........................|..........................|
 This version: K5JB.k19 - Option: UNIX/Mulport/VC/KPC4
*/

char versionf[] = "K5JB.k19";	/* for FTP's use */

#if defined(UNIX) && defined(KPCPORT) && defined(MULPORT) && defined(VCKT)
char version[] =" This version: K5JB.k19 - Option: UNIX/Mulport/VC/KPC4";
#endif

#if defined(UNIX) && defined(KPCPORT) && defined(MULPORT) && !defined(VCKT)
char version[] =" This version is K5JB.k19 - Option: UNIX/Mulport/KPC4";
#endif

#if defined(UNIX) && defined(KPCPORT) && !defined(MULPORT) && !defined(VCKT)
char version[] = "    This version is K5JB.k19 - Option: UNIX & KPC4";
#endif

#if defined(UNIX) && !defined(KPCPORT) && defined(MULPORT) && defined(VCKT)
char version[] = "  This version is K5JB.k19 - Option: UNIX/Mulport/VC";
#endif

#if defined(UNIX) && !defined(KPCPORT) && !defined(MULPORT) && defined(VCKT)
char version[] = "      This version is K5JB.k19 - Option: UNIX/VC";
#endif

#if !defined(UNIX) && defined(KPCPORT) && defined(MULPORT) && defined(VCKT)
char version[] = "  This version is K5JB.k19 - Option KPC-4/Mulport/VC";
#endif

#if !defined(UNIX) && !defined(KPCPORT) && defined(MULPORT) && defined(VCKT)
char version[] = "     This version is K5JB.k19 - Option Mulport/VC";
#endif

#if !defined(UNIX) && defined(KPCPORT) && !defined(MULPORT) && defined(VCKT)
char version[] = "      This version is K5JB.k19 - Option KPC-4/VC";
#endif

#if !defined(UNIX) && !defined(KPCPORT) && !defined(MULPORT) && defined(VCKT)
char version[] = "        This version is K5JB.k19 -- Option: VC";
#endif

#if defined(UNIX) && !defined(KPCPORT) && defined(MULPORT) && !defined(VCKT)
char version[] = "   This version is K5JB.k19 -- Option: UNIX & Mulport";
#endif

#if defined(UNIX) && !defined(KPCPORT) && !defined(MULPORT) && !defined(VCKT)
char version[] = "       This version is K5JB.k19 -- Option: UNIX";
#endif

#if !defined(UNIX) && defined(KPCPORT) && defined(MULPORT) && !defined(VCKT)
char version[] = "    This version is K5JB.k19 -- Option KPC-4/Mulport";
#endif

#if !defined(UNIX) && !defined(KPCPORT) && defined(MULPORT) && !defined(VCKT)
char version[] ="      This version is K5JB.k19 -- Option Mulport";
#endif

#if !defined(UNIX) && defined(KPCPORT) && !defined(MULPORT) && !defined(VCKT)
char version[] = "        This version is K5JB.k19 -- Option KPC-4";
#endif

#if defined(UNIX) && defined(KPCPORT) && !defined(MULPORT) && defined(VCKT)
char version[] ="    This version is K5JB.k19 - Option UNIX/KPC4/VC";
#endif

#if !defined(UNIX) && !defined(KPCPORT) && !defined(MULPORT) && !defined(VCKT)
#ifdef AX25
char version[] ="               This version is K5JB.k19";
#else
char version[] ="         This is version K5JB.k19 - SLIP Only";
#endif
#endif
