/*
 * just about everything except "MSDOS" is defined here, or in options.h.
 * Makefile only has minimum to make it agree with compiler used.  Some of
 * the code that can be enabled here is incomplete or not guaranteed to
 * work.  Suspect code is marked "CE"  caveat emptor).
 */

#ifndef GOTOPTH
#define GOTOPTH
#include "options.h"
#endif

/* Software options */
#define	SERVERS		/* Include TCP servers */
#define	TRACE		/* Include packet tracing code */
#define _TELNET		/* Telnet server - don't undef this in Unix */
#define	NSESSIONS 10	/* Number of interactive clients */
#define	TYPE		/* Include type command */
#define	FLOW		/* Enable local tty flow control */
#define _FINGER		/* Enable Finger - was in makefile */
#define	NETROM		/* NET/ROM network support */

/* see options.h for commonly changed options:

	DRSI		DRSI standard driver
	KPCPORT	Kantronics KPC port switch command - N5OWK
	MULPORT 	Grapes Multiport code
	VCKT	RATS ROSE switch (and others) work-around
*/

/* untested... */
#undef	SCREEN		/* trace screen on the Atari-ST - CE */
#undef	TNC2		/* TNC2 MBBIOS emulator -- CE */

/* Hardware configuration */
#define	SLIP		/* Serial line IP */
#define	KISS		/* KISS TNC code */

/* untested things */
#undef	APPLETALK	/* Appletalk interface (Macintosh) -- CE */
#undef	PACKET		/* FTP Software's Packet Driver -- CE */
#undef	PC_EC		/* 3-Com 3C501 Ethernet controller -- CE */
#undef	PLUS		/* HP's Portable Plus is the platform -- CE */
#undef	NRS  		/* NET/ROM async interface -- CE */

#if defined(NRS)
#undef	NETROM
#define	NETROM		/* NRS implies NETROM */
#endif

/* shortened this to include only things I mess with */
#if (defined(NETROM) || defined(KISS) || defined(DRSI) || defined (KPCPORT))
#define	AX25		/* AX.25 subnet code */
#define SID2		/* for ax25 mbox */
#endif

/* KISS TNC, SLIP, NRS or PACKET implies ASY */
#if (defined(KISS) || defined(PACKET) || defined(NRS) || defined(SLIP) || defined(SLFP))
#undef	ASY
#define	ASY		/* Asynch driver code */
#endif

#if (defined(PC_EC) || defined(PACKET))
#define	ETHER		/* Generic Ethernet code -- CE */
#endif
